Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 563932 - app-misc/sphinx-2.2.11 rekeywording request
Summary: app-misc/sphinx-2.2.11 rekeywording request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Hans de Graaff
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 674308
Blocks:
  Show dependency tree
 
Reported: 2015-10-24 08:01 UTC by Hans de Graaff
Modified: 2019-01-25 08:32 UTC (History)
1 user (show)

See Also:
Package list:
dev-libs/re2-0.2018.10.01 app-misc/sphinx-2.2.11-r1 dev-db/mariadb-connector-c-3.0.7-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2015-10-24 08:01:10 UTC
Your keyword has been dropped from app-misc/sphinx-2.2.10 due to a new dependency on dev-libs/re2. Please test and rekeyword:

>=dev-libs/re2-0_p20140304
>=app-misc/sphinx-2.2.10

Alternatively you can mask the re2 USE flag for your arch, since this is an optional dependency that defaults to off upstream.
Comment 1 Fabian Groffen gentoo-dev 2015-11-07 16:31:03 UTC
note to self: solaris can't compile re2, due to GNU ld bug, needs workaround section in symbols map, probably better mask for now.
Comment 2 Fabian Groffen gentoo-dev 2016-04-06 17:31:49 UTC
prefix masked re2 USE-flag and re-keyworded
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2018-12-26 11:32:10 UTC
Adding rest of ~arches.
Comment 4 Sergei Trofimovich (RETIRED) gentoo-dev 2018-12-26 13:17:06 UTC
~ia64 keyworded
Comment 5 Stabilization helper bot gentoo-dev 2018-12-26 14:00:42 UTC
An automated check of this bug failed - repoman reported dependency errors (9 lines truncated): 

> dependency.bad app-misc/sphinx/sphinx-2.2.11-r1.ebuild: RDEPEND: ~ppc(default/linux/powerpc/ppc32/17.0) ['dev-db/mariadb-connector-c']
> dependency.bad app-misc/sphinx/sphinx-2.2.11-r1.ebuild: RDEPEND: ~ppc(default/linux/powerpc/ppc32/17.0/desktop) ['dev-db/mariadb-connector-c']
> dependency.bad app-misc/sphinx/sphinx-2.2.11-r1.ebuild: RDEPEND: ~ppc(default/linux/powerpc/ppc32/17.0/desktop/gnome) ['dev-db/mariadb-connector-c']
Comment 6 Sergei Trofimovich (RETIRED) gentoo-dev 2018-12-26 20:12:13 UTC
~ppc keyworded
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2018-12-26 20:12:48 UTC
~ppc64 keyworded
Comment 8 Sergei Trofimovich (RETIRED) gentoo-dev 2019-01-01 21:22:19 UTC
~sparc keyworded
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-01-04 22:34:51 UTC
~s390 done
Comment 10 Rolf Eike Beer archtester 2019-01-25 08:32:20 UTC
hppa done, closing